Public API

Public API endpoints for the Gamify Extension

Fetch the top of the Project-level leaderboard

get

Returns limit records (defaults to 10). May additionally include specified user records even if they are outside of the range.

Path parameters
projectIdstring · uuidRequired

ID of the Project

leaderboardIdstring · enumRequiredPossible values:
Query parameters
includestringOptional

Comma-separated list of user IDs

limitinteger · min: 1 · max: 100Optional

Maximum number of records to return

Default: 10
Responses
chevron-right
200

success

application/json
get
/projects/{projectId}/leaderboards/{leaderboardId}

Fetch a single record from the Project-level leaderboard

get
Path parameters
projectIdstring · uuidRequired

ID of the Project

leaderboardIdstring · enumRequiredPossible values:
userIdstringRequired

User Id

Responses
chevron-right
200

success

application/json
get
/projects/{projectId}/leaderboards/{leaderboardId}/users/{userId}

Fetch the top of the Event-level leaderboard

get

Returns limit records (defaults to 10). May additionally include specified user records even if they are outside of the range.

Path parameters
projectIdstring · uuidRequired

ID of the Project

eventIdone ofRequired

ID of the Event

string · uuidOptional
or
string · enumOptionalPossible values:
leaderboardIdstring · enumRequired

N is positive integer value for a round number. For example round_2

Possible values:
Query parameters
includestringOptional

Comma-separated list of user IDs

limitinteger · min: 1 · max: 100Optional

Maximum number of records to return

Default: 10
Responses
chevron-right
200

success

application/json
get
/projects/{projectId}/events/{eventId}/leaderboards/{leaderboardId}

Fetch a single record from the Event-level leaderboard

get
Path parameters
projectIdstring · uuidRequired

ID of the Project

eventIdone ofRequired

ID of the Event

string · uuidOptional
or
string · enumOptionalPossible values:
leaderboardIdstring · enumRequired

N is positive integer value for a round number. For example round_2

Possible values:
userIdstringRequired

User Id

Responses
chevron-right
200

success

application/json
get
/projects/{projectId}/events/{eventId}/leaderboards/{leaderboardId}/users/{userId}

Last updated